#!/bin/sh

# this script is called from ASW signal handlers (i.e. on crash effectively).
# on customers unit we want to reboot on crash, so that unit can be accessed remotely
# after it boots. but during development it causes a lot of pain (can be trapped in 
# vicious reboot loop if crash is happening on ASW start up). so this script
# checks for a marker file and reboots only if marker file is not present.
# during development we can create this file and be sure it won't reboot on crash

if [ -e /opt/mm/user/pleasedontreboot ]; then
    exit 0
fi

/sbin/reboot
exit 0
